- Qt 6.4
- Qt SQL
- C++ Classes
- QSqlQuery
- Qt 6.4.2 Reference Documentation

# Obsolete Members for QSqlQuery

The following members of class QSqlQuery are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated)` | QSqlQuery(const QSqlQuery &other)
`(deprecated)` QSqlQuery & | operator=(const QSqlQuery &other)

## Member Function Documentation

### QSqlQuery::QSqlQuery(const QSqlQuery &other)

This function is deprecated. We strongly advise against using it in new code.

Constructs a copy of other.

QSqlQuery cannot be meaningfully copied. Prepared statements, bound values and so on will not work correctly, depending on your database driver (for instance, changing the copy will affect the original). Treat QSqlQuery as a move-only type instead.

### QSqlQuery &QSqlQuery::operator=(const QSqlQuery &other)

This function is deprecated. We strongly advise against using it in new code.

Assigns other to this object.

QSqlQuery cannot be meaningfully copied. Prepared statements, bound values and so on will not work correctly, depending on your database driver (for instance, changing the copy will affect the original). Treat QSqlQuery as a move-only type instead.